petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGlobalToNaturalAllCreate

Creates a scatter context that maps from the global vector the entire vector to each processor in natural numbering

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGlobalToNaturalAllCreate(DM da,VecScatter *scatter)

Collective on DMDA Many br

### Input Parameter

da -the distributed array context Many br

### Output Parameter

scatter -the scatter context Many br

Many br

### Keywords

distributed array, global to local, begin, coarse problem

### See Also

DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector() Many br

Level:advanced
Location:src/dm/impls/da/dagtona.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex2.c.html